Bug 167302 - RFE: quiet/script mode
RFE: quiet/script mode
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-01 10:15 EDT by Jason Corley
Modified: 2013-02-26 19:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 08:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Corley 2005-09-01 10:15:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.7.10) Gecko/20050716 Firefox/1.0.6

Description of problem:
Right now if I just want a package list from up2date (for cron/scripting purposes) I end up doing this:

up2date --list | awk ' \
  !/^$/ && \
  !/^Invalid/ && \
  !/^Fetching/ && \
  !/^Name/ && \
  !/^The/ && \
  !/^-----/ \
  {print $1}'

It'd be nice to have an option such that up2date only listed packages that need updates without all the other goop.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to run up2date out of a script
2. Remove gunk
3. File RFE
  

Additional info:
Comment 2 RHEL Product and Program Management 2010-04-26 08:18:17 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.